<?xml version="1.0" encoding="utf-8"?>
<configuration>
	<configSections>
		<!--activerecord的配置-->
		<section name="activerecord" type="Castle.ActiveRecord.Framework.Config.ActiveRecordSectionHandler, Castle.ActiveRecord" />
		<section name="dataProviderModel" type="MSharp.Framework.Data.DataProviderModelConfigurationSection, MSharp.Framework.Core" />
	</configSections>
	<connectionStrings>
		<add name="RedisConn" connectionString="127.0.0.1:6379,password=,allowAdmin=true" />
		<!--正式-->
		<add name="ConnString" connectionString="waSaLjFS1MAAoSe9+gKWJQ1CDnZ6dnO1QM0VzexKlXubMo4FCxLb4bGGAU51LHdcMfZxFkJQRZYr0VE6xFGB7Kpc8NKm8oz5p/9017hMVXqnAFPNyQ0zlOCGtSn5SrZEwFoWi1DEWddm1Qa251ScTdaiUfKARB9gsjoXWWM6JnnBGsHvhHU7EMZtm4NsIlz6xKpZh3BNuuLI75CDc6r68YjHv+FyfOAK" />
		<add name="ConnString2" connectionString="waSaLjFS1MAAoSe9+gKWJQ1CDnZ6dnO1QM0VzexKlXubMo4FCxLb4bGGAU51LHdcMfZxFkJQRZYr0VE6xFGB7Kpc8NKm8oz5p/9017hMVXqnAFPNyQ0zlOCGtSn5SrZEwFoWi1DEWddm1Qa251ScTdaiUfKARB9gsjoXWWM6JnnBGsHvhHU7EMZtm4NsIlz6ARKPn6RYCp2Zza8Ht7FTpX+ivahgu7qH" />
	</connectionStrings>
	<appSettings>
		<add key="vs:EnableBrowserLink" value="false" />
		<add key="upPath" value="G:\_YangCai\upload" />
		<add key="curPath" value="G:\_YangCai\upload" />
		<add key="copyPath" value="G:\fireant\ecomerp\document\copy" />
		<add key="dPath" value="G:\_YangCai\upload" />
		<add key="OriSiteUrl" value="http://localhost:911/Handler/sync.ashx?t=file_downback" />
	</appSettings>
	<!--activerecord的配置-->
	<activerecord>
		<config>
			<add key="hibernate.connection.driver_class" value="NHibernate.Driver.SqlClientDriver" />
			<add key="hibernate.dialect" value="NHibernate.Dialect.MsSql2000Dialect" />
			<add key="hibernate.connection.provider" value="NHibernate.Connection.DriverConnectionProvider" />
			<add key="hibernate.connection.connection_string" value="ConnectionString = ${ConnString}" />
		</config>
	</activerecord>
	<location>
		<system.web>
			<!-- <compilation targetFramework="2.0" debug="true"/>
      
    <trace enabled="false" requestLimit="10" pageOutput="false" traceMode="SortByTime" localOnly="true"/>
    -->
			<!--
            The <authentication> section enables configuration 
            of the security authentication mode used by 
            ASP.NET to identify an incoming user. 
        -->
			<authentication mode="Windows" />
			<!--
            The <customErrors> section enables configuration 
            of what to do if/when an unhandled error occurs 
            during the execution of a request. Specifically, 
            it enables developers to configure html error pages 
            to be displayed in place of a error stack trace.
-->
			<customErrors mode="RemoteOnly" defaultRedirect="ErrorPage.htm">
				<error statusCode="403" redirect="NoAccess.htm" />
				<error statusCode="404" redirect="FileNotFound.htm" />
			</customErrors>
			<!--
    <pages controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID">
        <controls>
          <add tagPrefix="asp" namespace="System.Web.UI" assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
          <add tagPrefix="asp" namespace="System.Web.UI.WebControls" assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
          <add tagPrefix="web" namespace="WebUI.WebControls" assembly="WebUI"/>
        </controls>
      </pages>
-->
			<httpHandlers>
				<remove verb="*" path="*.asmx" />
				<add verb="*" path="*.asmx" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
				<add verb="*" path="*_AppService.axd" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
				<add verb="GET,HEAD" path="ScriptResource.axd" validate="false" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
			</httpHandlers>
			<httpModules>
				<!--<remove name="Session" />-->
				<remove name="WindowsAuthentication" />
				<remove name="PassportAuthentication" />
				<remove name="AnonymousIdentification" />
				<remove name="UrlAuthorization" />
				<remove name="FileAuthorization" />
				<add name="ScriptModule" type="System.Web.Handlers.ScriptModule, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
			</httpModules>
			<httpRuntime requestValidationMode="2.0" maxRequestLength="73400000" executionTimeout="300" appRequestQueueLimit="100" />
			<!--<identity impersonate="true" userName="xjh_develop"  password="123123"/>-->
		</system.web>
	</location>
	<!-- 
        The system.webServer section is required for running ASP.NET AJAX under Internet
        Information Services 7.0.  It is not necessary for previous version of IIS.
    -->
	<location>
		<system.webServer>
			<validation validateIntegratedModeConfiguration="false" />
			<modules runAllManagedModulesForAllRequests="false">
				<remove name="ScriptModule" />
				<add name="ScriptModule" preCondition="managedHandler" type="System.Web.Handlers.ScriptModule, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
			</modules>
			<handlers>
				<remove name="HttpHandler-32" />
				<remove name="HttpHandler" />
				<remove name="WebServiceHandlerFactory-Integrated" />
				<remove name="ScriptHandlerFactory" />
				<remove name="ScriptHandlerFactoryAppServices" />
				<remove name="ScriptResource" />
				<add name="ScriptHandlerFactory" verb="*" path="*.asmx" preCondition="integratedMode" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
				<add name="ScriptHandlerFactoryAppServices" verb="*" path="*_AppService.axd" preCondition="integratedMode" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
				<add name="ScriptResource" verb="GET,HEAD" path="ScriptResource.axd" preCondition="integratedMode" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
			</handlers>
			<defaultDocument>
				<files>
					<clear />
					<add value="index.html" />
					<add value="index.aspx" />
					<add value="/" />
					<add value="default.aspx" />
				</files>
			</defaultDocument>
			<httpProtocol allowKeepAlive="true">
				<customHeaders>
					<add name="Access-Control-Allow-Origin" value="*" />
					<add name="Access-Control-Allow-Headers" value="*" />
					<add name="Access-Control-Allow-Methods" value="GET,POST,OPTIONS" />
				</customHeaders>
			</httpProtocol>
			<security>
				<requestFiltering>
					<requestLimits maxAllowedContentLength="419430400" />
				</requestFiltering>
			</security>
		</system.webServer>
	</location>
	<runtime>
		<assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
			<dependentAssembly>
				<assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
				<bindingRedirect oldVersion="0.0.0.0-13.0.0.0" newVersion="13.0.0.0" />
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="HtmlAgilityPack" publicKeyToken="bd319b19eaf3b43a" culture="neutral" />
				<bindingRedirect oldVersion="0.0.0.0-1.11.2.0" newVersion="1.11.2.0" />
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="NPOI" publicKeyToken="0df73ec7942b34e1" culture="neutral" />
				<bindingRedirect oldVersion="0.0.0.0-2.0.1.0" newVersion="2.0.1.0" />
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="NPOI.OOXML" publicKeyToken="0df73ec7942b34e1" culture="neutral" />
				<bindingRedirect oldVersion="0.0.0.0-2.0.1.0" newVersion="2.0.1.0" />
			</dependentAssembly>
		</assemblyBinding>
	</runtime>
	<!--
    有关 web.config 更改的说明，请参见 http://go.microsoft.com/fwlink/?LinkId=235367。

    可在 <httpRuntime> 标记上设置以下特性。
      <system.Web>
        <httpRuntime targetFramework="4.8.1" />
      </system.Web>
  -->
	<system.web>
		<compilation targetFramework="4.8.1" debug="true">
			<assemblies>
				<add assembly="System.ComponentModel.Composition, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
				<add assembly="System.Net.Http, Version=4.2.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
				<add assembly="System.Data.OracleClient, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
				<add assembly="System.Net, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
				<add assembly="System.ServiceProcess, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
				<add assembly="System.Transactions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
				<add assembly="netstandard, Version=2.0.0.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51" />
			</assemblies>
		</compilation>
		<pages controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID">
			<controls>
				<add tagPrefix="ajaxToolkit" assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" />
			</controls>
		</pages>
	</system.web>
</configuration>